<template>
  <v-menu
    ref="picker"
    v-model="picker"
    :close-on-content-click="false"
    :nudge-right="40"
    transition="scale-transition"
    offset-y
  >
    <template v-slot:activator="{ on }">
      <v-text-field
        v-model="time"
        outlined
        placeholder="Select start time"
        prepend-inner-icon="mdi-clock-outline"
        readonly
        dense
        hide-details
        v-on="on"
      />
    </template>
    <v-time-picker v-if="picker" v-model="time" full-width />
  </v-menu>
</template>

<script>
import EventBus from '@/event-bus'

export default {
  props: {
    time: null
  },
  data: () => ({
    picker: false
  }),
  computed: {},
  watch: {
    time: {
      handler(time) {
        if (time) {
          EventBus.$emit('setTime', time)
        }
      }
    }
  }
}
</script>

<style lang="scss" scoped></style>
